%define name	jaxen
%define version	1.0
%define release	1jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        An XPath engine written in Java
License:        Open Source
Url:            http://jaxen.sf.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        http://osdn.dl.sourceforge.net/jaxen/jaxen-%{version}-FCS.tar.gz
Requires:	jdom
Requires:	saxpath
Requires:	xalan-j2
Requires:	xerces-j2
BuildRequires:	jdom
BuildRequires:	saxpath
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Jaxen is an XPath engine written in Java to work against a variety of XML
based object models such as DOM, dom4j and JDOM together with Java
Beans.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}-FCS
find . -name "*.jar" -exec rm -f {} \;

mkdir -p src/conf
cat >> src/conf/MANIFEST.MF << EOF
Manifest-Version: 1.0
Created-By: Ant 1.3
EOF

%build
export CLASSPATH=\
%{_javadir}/jdom.jar:\
%{_javadir}/saxpath.jar:\
%{_javadir}/xalan-j2.jar:\
%{_javadir}/xerces-j2.jar

ant all

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}-full.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc build/doc/{*.css,*.html,images,style}
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:1.0-1jpp
- release
